社区
获取社区
GET /v1/communities/{community_id} reads 1 额度
社区的资料:名称、描述、成员数、加入策略、主题、横幅、创建者、热门话题标签和规则。
响应
一个 community 对象。未知或不可用的社区返回 404。
状态: 200, 404, 422, 429, 502
请求
curl https://api.xsignalfeed.com/v1/communities/1493446837214187523 \ -H "Authorization: Bearer xsf_your_key"
响应 · 200 / 404
{
"community": {
"id": "1493446837214187523",
"name": "Build in Public",
"description": "Share what you're working on. Get feedback. Help each other move forward. …",
"member_count": 267179,
"created_ms": 1644900447551,
"join_policy": "Open",
"is_nsfw": false,
"primary_topic": "Entrepreneurship",
"banner": "https://pbs.twimg.com/community_banner_img/1915033378811772928/…?format=png&name=orig",
"creator": {
"id": "641633",
"screen_name": "marckohlbrugge",
"verified": true
},
"trending_hashtags": [
"#design",
"#code",
"…"
],
"rules": [
{
"id": "1493447542045958144",
"name": "Share what you're working on",
"description": "…"
},
{
"…": "…"
}
]
}
}